=== debian/changelog ===
ros-indigo-mongodb-store (0.4.2-0trusty) trusty; urgency=high

  * instead of lsb-release read /etc/os-version from CMake to find OS version
  * Contributors: Ferenc Balint-Benczedi

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Mon, 04 Jun 2018 00:00:00 -0000

ros-indigo-mongodb-store (0.4.1-0trusty) trusty; urgency=high

  * check if env. var. exists if not decide based on OS version
  * Contributors: Ferenc Balint-Benczedi

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 29 May 2018 00:00:00 -0000

ros-indigo-mongodb-store (0.4.0-0trusty) trusty; urgency=high

  * if compiler supports it use C++11
  * Contributors: Ferenc Balint-Benczedi

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 23 May 2018 00:00:00 -0000

ros-indigo-mongodb-store (0.3.8-0trusty) trusty; urgency=high

  * Merge pull request #220 <https://github.com/strands-project/mongodb_store/issues/220> from furushchev/replication-with-query
    Replication with query
  * mongodb_store: support filter by query on moving entries
  * Merge pull request #218 <https://github.com/strands-project/mongodb_store/issues/218> from furushchev/test-replicator
    Test replication functionality
  * mongodb_store: avoid to use rosrun in test code
  * mongodb_store: test replication
  * mongodb_server: minor bugfix
  * Merge pull request #213 <https://github.com/strands-project/mongodb_store/issues/213> from furushchev/fix/encode-utf8
    mongodb_store: encode utf-8 on filling rosmsg
  * Merge remote-tracking branch 'origin/kinetic-devel' into fix/encode-utf8
  * Import connection failure
  * Merge pull request #214 <https://github.com/strands-project/mongodb_store/issues/214> from furushchev/option-query-extra
    mongodb_store: message_store_node.py: deprecate using extra servers
  * Merge remote-tracking branch 'origin/kinetic-devel' into option-query-extra
    Conflicts:
    mongodb_store/scripts/message_store_node.py
  * Merge pull request #215 <https://github.com/strands-project/mongodb_store/issues/215> from furushchev/remove-dup-projection
    mongodb_store: Remove duplicated codes for projection
  * mongodb_store: use launch for test
  * mongodb_store: remove duplicated codes for querying with projection
  * mongodb_store: message_store_node.py: deprecate using extra servers
  * mongodb_store: encode utf-8 on filling rosmsg
  * Merge pull request #212 <https://github.com/strands-project/mongodb_store/issues/212> from furushchev/fix-query-extra
    fix error on querying extra servers
  * fix error on querying extra servers
  * Contributors: Furushchev, Nick Hawes, Yuki Furuta

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Wed, 02 May 2018 00:00:00 -0000

ros-indigo-mongodb-store (0.3.7-0trusty) trusty; urgency=high

  * Merge pull request #207 <https://github.com/strands-project/mongodb_store/issues/207> from furushchev/fix-mongocxx
    Use system mongocxx client if possible
  * Merge pull request #205 <https://github.com/strands-project/mongodb_store/issues/205> from furushchev/pymongo3
    Support Pymongo 3
  * libmongocxx_ros: try to use system mongocxx lib if possible
  * Merge pull request #206 <https://github.com/strands-project/mongodb_store/issues/206> from Pikrass/update-rosparam
    Store the updated value to rosparam when calling set_param
  * Store the updated value to rosparam when calling set_param
  * mongodb_store.util: use rospy.log functions instead of print
  * config_manager.py: fix error on exit
  * support pymongo 3.X
  * Contributors: Bastien Scher, Nick Hawes, Yuki Furuta

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 14 Dec 2017 00:00:00 -0000

ros-indigo-mongodb-store (0.3.6-0trusty) trusty; urgency=high



 -- Chris Burbridge <cburbridge@gmail.com>  Thu, 14 Sep 2017 00:00:00 -0000

ros-indigo-mongodb-store (0.3.5-0trusty) trusty; urgency=high

  * Merge pull request #203 <https://github.com/strands-project/mongodb_store/issues/203> from strands-project/marc-hanheide-patch-3
    added topic_tools`as `CATKIN_DEPEND
  * topic_tools as run_depend
  * added topic_tools`as `CATKIN_DEPEND
  * Contributors: Marc Hanheide

 -- Chris Burbridge <cburbridge@gmail.com>  Sun, 03 Sep 2017 00:00:00 -0000

ros-indigo-mongodb-store (0.3.4-0trusty) trusty; urgency=high



 -- Chris Burbridge <cburbridge@gmail.com>  Sun, 03 Sep 2017 00:00:00 -0000

ros-indigo-mongodb-store (0.3.3-0trusty) trusty; urgency=high

  * Merge pull request #200 <https://github.com/strands-project/mongodb_store/issues/200> from strands-project/shapeshifter
    mongodb_store: support shapeshifter
  * Fixed missing space.
  * mongodb_store: support shapeshifter
  * Merge pull request #195 <https://github.com/strands-project/mongodb_store/issues/195> from mbeneto/kinetic-devel
    Added keep_trash parameter
  * Added keep_trash parameter
    This parameter enables the user to select to store the items deleted into the trash (default) or not.
  * Contributors: Furushchev, Nick Hawes, mbeneto

 -- Chris Burbridge <cburbridge@gmail.com>  Sat, 02 Sep 2017 00:00:00 -0000

ros-indigo-mongodb-store (0.3.2-0trusty) trusty; urgency=high



 -- Chris Burbridge <cburbridge@gmail.com>  Thu, 31 Aug 2017 00:00:00 -0000

ros-indigo-mongodb-store (0.3.1-0trusty) trusty; urgency=high

  * remove mongoclient libs from CMakeLists
  * Contributors: Bruno Lacerda

 -- Chris Burbridge <cburbridge@gmail.com>  Thu, 24 Aug 2017 00:00:00 -0000

ros-indigo-mongodb-store (0.3.0-0trusty) trusty; urgency=high



 -- Chris Burbridge <cburbridge@gmail.com>  Thu, 24 Aug 2017 00:00:00 -0000

ros-indigo-mongodb-store (0.2.2-0trusty) trusty; urgency=high



 -- Chris Burbridge <cburbridge@gmail.com>  Wed, 28 Jun 2017 00:00:00 -0000

ros-indigo-mongodb-store (0.2.1-0trusty) trusty; urgency=high



 -- Chris Burbridge <cburbridge@gmail.com>  Wed, 28 Jun 2017 00:00:00 -0000

ros-indigo-mongodb-store (0.2.0-0trusty) trusty; urgency=high

  * dependencies fixing
  * some attempts to build libmongocxx internally
  * indigo-0.1.30
  * updated Changelogs
  * [package.xml] Add link to devel repository

